summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mario Preksavec <mario at slackware dot hr>2015-03-03 08:22:14 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-03 08:22:14 +0700
commit535667c63441395fcf6eb8c1b9c083ccf26dcb76 (patch)
treef633f4d56a852ee6b187f71d3e2af5093299a64d
parent128a57903ee24ab92fae1fbc4427bad5e61c82eb (diff)
downloadslackbuilds-535667c63441395fcf6eb8c1b9c083ccf26dcb76.tar.gz
slackbuilds-535667c63441395fcf6eb8c1b9c083ccf26dcb76.tar.xz
perl/perl-Data-Compare: Added (compare perl data structures).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--perl/perl-Data-Compare/README1
-rw-r--r--perl/perl-Data-Compare/perl-Data-Compare.SlackBuild82
-rw-r--r--perl/perl-Data-Compare/perl-Data-Compare.info10
-rw-r--r--perl/perl-Data-Compare/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/perl/perl-Data-Compare/README b/perl/perl-Data-Compare/README
new file mode 100644
index 0000000000..3d146eb3c3
--- /dev/null
+++ b/perl/perl-Data-Compare/README
@@ -0,0 +1 @@
+The Data::Compare compares two perl data structures recursively.
diff --git a/perl/perl-Data-Compare/perl-Data-Compare.SlackBuild b/perl/perl-Data-Compare/perl-Data-Compare.SlackBuild
new file mode 100644
index 0000000000..b3bde4b229
--- /dev/null
+++ b/perl/perl-Data-Compare/perl-Data-Compare.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for perl-Data-Compare
+
+# Copyright 2015 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Data-Compare
+VERSION=${VERSION:-1.25}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ARTISTIC.txt CHANGELOG GPL2.txt MAINTAINERS-NOTE NOTES README TODO"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Remove perllocal.pod and other special files that don't need to be installed
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Data-Compare/perl-Data-Compare.info b/perl/perl-Data-Compare/perl-Data-Compare.info
new file mode 100644
index 0000000000..f464faccfa
--- /dev/null
+++ b/perl/perl-Data-Compare/perl-Data-Compare.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Data-Compare"
+VERSION="1.25"
+HOMEPAGE="https://metacpan.org/pod/Data::Compare"
+DOWNLOAD="http://www.cpan.org/authors/id/D/DC/DCANTRELL/Data-Compare-1.25.tar.gz"
+MD5SUM="6a397ab5833237f3ca05ed7277b19a7a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-File-Find-Rule"
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"
diff --git a/perl/perl-Data-Compare/slack-desc b/perl/perl-Data-Compare/slack-desc
new file mode 100644
index 0000000000..b5135ea6f9
--- /dev/null
+++ b/perl/perl-Data-Compare/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Data-Compare: perl-Data-Compare (compare perl data structures)
+perl-Data-Compare:
+perl-Data-Compare: The Data::Compare compares two perl data structures recursively.
+perl-Data-Compare:
+perl-Data-Compare: Homepage: https://metacpan.org/pod/Data::Compare
+perl-Data-Compare:
+perl-Data-Compare:
+perl-Data-Compare:
+perl-Data-Compare:
+perl-Data-Compare:
+perl-Data-Compare: